## lightdm-kde 0.0.git20120214

=== CMakeLists.txt ===
project(greeter-app)

SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

set(LIGHTDM_CONFIG_DIR "/etc/lightdm"
    CACHE PATH "Directory where LightDM configuration files are kept")

find_package(KDE4 REQUIRED)
find_package(QLightDM REQUIRED)
find_package(KDeclarative REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

add_subdirectory(greeter)
add_subdirectory(kcm)

install(DIRECTORY themes
        DESTINATION ${DATA_INSTALL_DIR}/lightdm-kde-greeter)

=== greeter/CMakeLists.txt ===
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${KDE4_INCLUDES}
  ${QLIGHTDM_INCLUDE_DIR}
  ${KDECLARATIVE_INCLUDE_DIR}
)

# Insert your sources here
set(GREETER_SRCS
    extrarowproxymodel.cpp
    faceimageprovider.cpp
    greeterwindow.cpp
    main.cpp
    configwrapper.cpp
    components/modelcombobox.cpp
    components/passwordlineedit.cpp
)

# Create the plasmoid
kde4_add_executable(lightdm-kde-greeter ${GREETER_SRCS})

# Link against the needed libraries
target_link_libraries(lightdm-kde-greeter
  ${QT_QTDECLARATIVE_LIBRARY}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_PLASMA_LIBS}
  ${QLIGHTDM_LIBRARIES}
  ${KDECLARATIVE_LIBRARIES}
)

install(TARGETS lightdm-kde-greeter RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/sbin/)

#FIXME find correct macro for /usr/[local]/share
install(FILES lightdm-kde-greeter.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/xgreeters)

macro_display_feature_log()

=== kcm/CMakeLists.txt ===
find_package(KDE4 REQUIRED)

include(KDE4Defaults)
include(MacroLibrary)

# Add the compiler flags
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${KDE4_INCLUDES}
  ${QLIGHTDM_INCLUDE_DIR}

)

# Insert your sources here
set(LIGHTDM_KCM_SRCS
    themeconfig.cpp
    themesmodel.cpp
    coreconfig.cpp
    lightdmkcm.cpp
)

set(LIGHTDM_KCM_UI
    themeconfig.ui
    coreconfig.ui)

kde4_add_ui_files(LIGHTDM_KCM_SRCS ${LIGHTDM_KCM_UI})

kde4_add_plugin(kcm_lightdm
                ${LIGHTDM_KCM_SRCS})


# Link against the needed libraries
target_link_libraries(kcm_lightdm
  ${KDE4_KDEUI_LIBS}
  ${QT_QTUITOOLS_LIBRARY}
  ${QT_QTDECLARATIVE_LIBRARY}
  ${KDE4_PLASMA_LIBS}
  ${QLIGHTDM_LIBRARIES}

)

install(TARGETS kcm_lightdm
          DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kcm_lightdm.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

kde4_add_executable(kcmlightdmhelper helper.cpp)
target_link_libraries(kcmlightdmhelper ${KDE4_KDECORE_LIBS})

kde4_install_auth_helper_files(kcmlightdmhelper org.kde.kcontrol.kcmlightdm root)
install(TARGETS kcmlightdmhelper DESTINATION ${LIBEXEC_INSTALL_DIR})

kde4_install_auth_actions(org.kde.kcontrol.kcmlightdm kcm_lightdm.actions)

macro_display_feature_log()

=== debian/changelog ===
lightdm-kde (0.0.git20120214-0ubuntu1) precise; urgency=low

  * Initial package

 -- Aurélien Gâteau <aurelien.gateau@ubuntu.com>  Tue, 14 Feb 2012 16:48:06 +0100

## lightdm-kde 0.1.0

=== debian/changelog ===
lightdm-kde (0.1.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Apr 2012 15:20:54 +0100

## lightdm-kde 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,30 @@
 project(greeter-app)
+
+# Versions
+set(LIGHTDM_KDE_VERSION_MAJOR 0)
+set(LIGHTDM_KDE_VERSION_MINOR 1)
+set(LIGHTDM_KDE_VERSION_PATCH 1)
+set(LIGHTDM_KDE_VERSION ${LIGHTDM_KDE_VERSION_MAJOR}.${LIGHTDM_KDE_VERSION_MINOR}.${LIGHTDM_KDE_VERSION_PATCH})
+
+# Packaging
+set(ARCHIVE_NAME lightdm-kde-${LIGHTDM_KDE_VERSION})
+add_custom_target(dist
+    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
+    | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+    )
+
+add_custom_target(distcheck
+    COMMAND cd ${CMAKE_BINARY_DIR}
+    && rm -rf ${ARCHIVE_NAME}
+    && tar xf ${ARCHIVE_NAME}.tar.bz2
+    && mkdir ${ARCHIVE_NAME}/build
+    && cd ${ARCHIVE_NAME}/build
+    && cmake -DCMAKE_INSTALL_PREFIX=/usr ..
+    && make
+    && make install DESTDIR=../install
+    )
+add_dependencies(distcheck dist)
 
 SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
lightdm-kde (0.1.1-0ubuntu2) quantal; urgency=low

  * Drop build-depends on kdelibs5-experimental-dev as the content has been
    moved to kdelibs5-dev.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 10 Jun 2012 00:57:25 +0200

lightdm-kde (0.1.1-0ubuntu1) quantal; urgency=low

  * Switch to debhelper compat level v9.
  * Use pkg-kde-tools dh addon.
  * Enable parallel building.
  * Fix syntax errors in copyright file.
  * Bump Standards-Version to 3.9.3.
  * Add a watch file.

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 22 May 2012 00:35:25 +0200

lightdm-kde (0.1.1-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release
  * Fixes LP: #987910 "User pictures are not shown in greeters which
    support them"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Apr 2012 17:03:32 +0100

=== debian/control ===
Source: lightdm-kde
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurélien Gâteau <aurelien.gateau@ubuntu.com>
Build-Depends:
    debhelper (>= 9),
    pkg-kde-tools,
    cmake,
    pkg-config,
    liblightdm-qt-2-dev (>= 1.1.2),
    kdelibs5-dev
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/playground/base/lightdm

Package: lightdm-kde-greeter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lightdm
Provides: lightdm-greeter
Description: LightDM KDE greeter
 lightdm-kde provides a LightDM greeter using KDE libraries.

## lightdm-kde 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Versions
 set(LIGHTDM_KDE_VERSION_MAJOR 0)
-set(LIGHTDM_KDE_VERSION_MINOR 1)
-set(LIGHTDM_KDE_VERSION_PATCH 1)
+set(LIGHTDM_KDE_VERSION_MINOR 2)
+set(LIGHTDM_KDE_VERSION_PATCH 0)
 set(LIGHTDM_KDE_VERSION ${LIGHTDM_KDE_VERSION_MAJOR}.${LIGHTDM_KDE_VERSION_MINOR}.${LIGHTDM_KDE_VERSION_PATCH})
 
 # Packaging
@@ -42,6 +42,4 @@
 
 add_subdirectory(greeter)
 add_subdirectory(kcm)
-
-install(DIRECTORY themes
-        DESTINATION ${DATA_INSTALL_DIR}/lightdm-kde-greeter)
+add_subdirectory(themes)

=== debian/changelog ===
lightdm-kde (0.2.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Michal Zajac <quintasan@kubuntu.org>  Sun, 22 Jul 2012 19:44:44 +0200

lightdm-kde (0.1.1-0ubuntu4) quantal; urgency=low

  * Set default session in postinst script to kde-plasma

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Jul 2012 12:27:28 +0100

lightdm-kde (0.1.1-0ubuntu3) quantal; urgency=low

  * Depend on lightdm, needed by postinst script
  * Use --keep-old in postinst setting

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Jul 2012 11:39:55 +0100

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
 Package: lightdm-kde-greeter
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: lightdm
+         ${shlibs:Depends},
+         lightdm
 Provides: lightdm-greeter
 Description: LightDM KDE greeter
  lightdm-kde provides a LightDM greeter using KDE libraries.

## lightdm-kde 0.3.0

=== debian/changelog ===
lightdm-kde (0.3.0-0ubuntu2) quantal; urgency=low

  * In line with other themes do not use debconf to store the
    preferred LightDM greeter theme. LP: #1029150

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Sep 2012 12:47:57 +0100

lightdm-kde (0.3.0-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Add a build-depend on libx11-dev for the new root image executable

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 19 Aug 2012 19:50:18 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
     cmake,
     pkg-config,
     liblightdm-qt-2-dev (>= 1.1.2),
-    kdelibs5-dev
+    kdelibs5-dev,
+    libx11-dev
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/playground/base/lightdm

## lightdm-kde 0.3.1

=== debian/changelog ===
lightdm-kde (0.3.1-1ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Dec 2012 11:59:42 +0000

lightdm-kde (0.3.0-1ubuntu2) raring; urgency=low

  * Drop recommends-relationship with desktop-base. It contains Debian
    branding that we don't need nor want. Philip will contact Ralf about that.
    LP: #1080115

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 17 Nov 2012 17:08:09 +0100

lightdm-kde (0.3.0-1ubuntu1) raring; urgency=low

  * Merge with Debian, remaining changes:
   - Build-dep on liblightdm-qt-2-dev not liblightdm-qt-dev
   - Use lightdm-set-defaults in debian/lightdm-kde-greeter.prerm and
     debian/lightdm-kde-greeter.postinst
  * Don't install lightdm-kde-greeter.conf in lightdm-kde-greeter.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2012 17:13:30 +0000

lightdm-kde (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Add Vcs-Git and Vcs-Browser information.
  * Drop 0001-Do-not-install-Messages.sh.patch, it has been applied upstream.

 -- Ralf Jung <post@ralfj.de>  Wed, 12 Sep 2012 19:04:42 +0200

lightdm-kde (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #684053)
  * Using package from Ubuntu. Thanks guys!

 -- Ralf Jung <post@ralfj.de>  Tue, 14 Aug 2012 18:17:32 +0200

=== debian/control ===
Source: lightdm-kde
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Ralf Jung <post@ralfj.de>
Build-Depends:
    debhelper (>= 9),
    pkg-kde-tools,
    cmake,
    pkg-config,
    liblightdm-qt-2-dev (>= 1.1.2),
    libx11-dev,
    kdelibs5-dev
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/playground/base/lightdm
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/lightdm-kde.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/lightdm-kde.git

Package: lightdm-kde-greeter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lightdm
Provides: lightdm-greeter
Description: LightDM KDE greeter
 A LightDM greeter using KDE libraries. This package also includes a KCM
 module to configure the greeter.

## lightdm-kde 0.3.2.1

=== debian/changelog ===
lightdm-kde (0.3.2.1-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.4. No changes needed.
  * change git URLs to canonical alioth URLs
  * Add patch from upstream to make it compile with latest liblightdqm-qt
    (Closes: #730930)

 -- Ralf Jung <post@ralfj.de>  Wed, 04 Dec 2013 22:24:46 +0100

lightdm-kde (0.3.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Ralf Jung <post@ralfj.de>  Sun, 19 May 2013 16:13:19 +0200

lightdm-kde (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Ralf Jung <post@ralfj.de>  Sat, 22 Dec 2012 17:09:02 +0100

=== debian/control ===
Source: lightdm-kde
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Ralf Jung <post@ralfj.de>
Build-Depends:
    debhelper (>= 9),
    pkg-kde-tools,
    cmake,
    pkg-config,
    liblightdm-qt-dev (>= 1.4),
    libx11-dev,
    kdelibs5-dev
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/playground/base/lightdm
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/lightdm-kde.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/lightdm-kde.git

Package: lightdm-kde-greeter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lightdm
Recommends: desktop-base
Provides: lightdm-greeter
Description: LightDM KDE greeter
 A LightDM greeter using KDE libraries. This package also includes a KCM
 module to configure the greeter.

## lightdm-kde 0.3.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Versions
 set(LIGHTDM_KDE_VERSION_MAJOR 0)
-set(LIGHTDM_KDE_VERSION_MINOR 2)
-set(LIGHTDM_KDE_VERSION_PATCH 0)
+set(LIGHTDM_KDE_VERSION_MINOR 3)
+set(LIGHTDM_KDE_VERSION_PATCH 1)
 set(LIGHTDM_KDE_VERSION ${LIGHTDM_KDE_VERSION_MAJOR}.${LIGHTDM_KDE_VERSION_MINOR}.${LIGHTDM_KDE_VERSION_PATCH})
 
 # Packaging
@@ -32,8 +32,12 @@
     CACHE PATH "Directory where LightDM configuration files are kept")
 
 find_package(KDE4 REQUIRED)
+
+set(QLIGHTDM_MIN_VERSION 1.4.0)
 find_package(QLightDM REQUIRED)
+
 find_package(KDeclarative REQUIRED)
+
 include(KDE4Defaults)
 include(MacroLibrary)
 
@@ -43,3 +47,6 @@
 add_subdirectory(greeter)
 add_subdirectory(kcm)
 add_subdirectory(themes)
+find_package(Msgfmt REQUIRED)
+find_package(Gettext REQUIRED)
+add_subdirectory( po )

=== greeter/CMakeLists.txt ===
--- 
+++ 
@@ -12,13 +12,21 @@
     extrarowproxymodel.cpp
     faceimageprovider.cpp
     greeterwindow.cpp
+    powermanagement.cpp
     main.cpp
     configwrapper.cpp
-    components/modelcombobox.cpp
-    components/passwordlineedit.cpp
+    sessionsmodel.cpp
+    usersmodel.cpp
+    screensmodel.cpp
+    greeterwrapper.cpp
 )
 
-# Create the plasmoid
+qt4_add_dbus_interface(GREETER_SRCS
+    org.freedesktop.UPower.xml
+    upower
+)
+
+# Create the greeter
 kde4_add_executable(lightdm-kde-greeter ${GREETER_SRCS})
 
 # Link against the needed libraries
@@ -31,9 +39,12 @@
 )
 
 install(TARGETS lightdm-kde-greeter RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/sbin/)
+install(FILES lightdm-kde-greeter.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/xgreeters)
 
-#FIXME find correct macro for /usr/[local]/share
-install(FILES lightdm-kde-greeter.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/xgreeters)
+# Create the background hack
+kde4_add_executable(lightdm-kde-greeter-rootimage rootimageapp.cpp)
+target_link_libraries(lightdm-kde-greeter-rootimage ${KDE4_KDEUI_LIBS} ${X11_X11_LIB})
+install(TARGETS lightdm-kde-greeter-rootimage DESTINATION ${LIBEXEC_INSTALL_DIR})
 
 macro_display_feature_log()

=== kcm/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 include(KDE4Defaults)
 include(MacroLibrary)
+
+# Makes it easy to reuse code from the greeter. A bit ugly but I don't feel
+# like setting up a static library for one class.
+set(GREETER_DIR ${CMAKE_SOURCE_DIR}/greeter)
 
 # Add the compiler flags
 add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
@@ -10,8 +14,10 @@
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   ${QLIGHTDM_INCLUDE_DIR}
+  ${GREETER_DIR}
+)
 
-)
+add_subdirectory(configwidgets)
 
 # Insert your sources here
 set(LIGHTDM_KCM_SRCS
@@ -19,6 +25,9 @@
     themesmodel.cpp
     coreconfig.cpp
     lightdmkcm.cpp
+    configoptions.cpp
+    ${GREETER_DIR}/extrarowproxymodel.cpp
+    ${GREETER_DIR}/usersmodel.cpp
 )
 
 set(LIGHTDM_KCM_UI
@@ -38,7 +47,8 @@
   ${QT_QTDECLARATIVE_LIBRARY}
   ${KDE4_PLASMA_LIBS}
   ${QLIGHTDM_LIBRARIES}
-
+  ${KDE4_KIO_LIBS}
+  lightdm_config_widgets
 )
 
 install(TARGETS kcm_lightdm

=== po/CMakeLists.txt ===
add_subdirectory( bs )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( km )
add_subdirectory( lt )
add_subdirectory( mr )
add_subdirectory( nl )
add_subdirectory( pa )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( zh_CN )

=== themes/CMakeLists.txt ===
install(DIRECTORY classic
        DESTINATION ${DATA_INSTALL_DIR}/lightdm-kde-greeter/themes
        PATTERN Messages.sh EXCLUDE
)
install(DIRECTORY userbar
        DESTINATION ${DATA_INSTALL_DIR}/lightdm-kde-greeter/themes
        PATTERN Messages.sh EXCLUDE
)

=== kcm/configwidgets/CMakeLists.txt ===
#We want to expose our new config widgets, but because we use QUiLoader we need a QtPlugin to explain how to load/create them.
#We build a static version of this QtPlugin then the KCM includes this, and uses Q_IMPORT_PLUGIN to reference it.
#alternately we could install this as an additional library, but that seems extra complicated.


# Insert your sources here
set(LIGHTDM_CONFIG_WIDGET_SRCS
    selectimagebutton.cpp
    selectimagebuttondesignerfactory.cpp
)

#not sure if this is a bad hack, CMake made me do it
add_definitions(-fPIC)

kde4_add_plugin(lightdm_config_widgets STATIC
                ${LIGHTDM_CONFIG_WIDGET_SRCS})

# Link against the needed libraries
target_link_libraries(lightdm_config_widgets
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
)

#uncomment this if building a non-static version of this lib.
#install( TARGETS lightdm_config_widgets DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )

=== po/pa/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( pa ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
lightdm-kde (0.3.2.2-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Drop Recommends desktop-base. It contains Debian
        branding that we don't need nor want.
    - debian/*lightdm-kde-greeter.*:
      + Don't install lightdm-kde-greeter.conf.
      + Add 40-lightdm-kde-greeter.conf.
      + Remove postinst and preinst for doing settings.
  * Drop search-for-liblightdm-qt-2-or-3.patch, already fixed by
    0001-FindQLightDM.cmake-Search-for-new-liblightdm-qt-3-as.patch.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 26 Feb 2015 23:49:42 +0100

lightdm-kde (0.3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.5. No changes needed.

 -- Ralf Jung <post@ralfj.de>  Sun, 14 Sep 2014 14:10:06 +0200

lightdm-kde (0.3.2.2-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1267440)

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 12 Feb 2014 17:40:35 +0100

lightdm-kde (0.3.2.1-1ubuntu4) trusty; urgency=low

  * Update configuration settings method:
   - add 40-lightdm-kde-greeter.conf
   - remove postinst and preinst for doing settings

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Dec 2013 17:30:39 +0000

lightdm-kde (0.3.2.1-1ubuntu3) saucy; urgency=low

  * Add lightdm-kde-l10n.diff generated using releaseme to update
    translations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 17:55:03 +0100

lightdm-kde (0.3.2.1-1ubuntu2) saucy; urgency=low

  * Add back search-for-liblightdm-qt-2-or-3.patch lost in merge

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Jun 2013 10:55:00 +0000

lightdm-kde (0.3.2.1-1ubuntu1) saucy; urgency=low

  * Merge with Debian, remaining changes:
   - Use lightdm-set-defaults in debian/lightdm-kde-greeter.prerm and
     debian/lightdm-kde-greeter.postinst
   - Don't install lightdm-kde-greeter.conf in lightdm-kde-greeter.install
   - Drop recommends-relationship with desktop-base. It contains Debian
     branding that we don't need nor want

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Jun 2013 16:25:37 +0100

lightdm-kde (0.3.2.1-0ubuntu4) saucy; urgency=low

  * Switch build-depends on liblightdm-qt-3-dev to liblightdm-qt-dev to
    match the change in the lightdm package

 -- Scott Kitterman <scott@kitterman.com>  Fri, 24 May 2013 00:40:52 -0400

lightdm-kde (0.3.2.1-0ubuntu3) saucy; urgency=low

  * Try again. lightdm has a versioned -dev package. Rev the BD and remove the
    version constraint which is now redundant.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 07 May 2013 18:26:12 +0100

lightdm-kde (0.3.2.1-0ubuntu2) saucy; urgency=low

  * No-change rebuild for liblightdm-qt transition. 

 -- Iain Lane <iain.lane@canonical.com>  Tue, 07 May 2013 15:32:28 +0100

lightdm-kde (0.3.2.1-0ubuntu1) raring; urgency=low

  * New upstream release. (LP: #1169732) 

 -- Howard Chan <smartboyhw@gmail.com>  Wed, 17 Apr 2013 17:19:25 +0800

=== debian/control ===
Source: lightdm-kde
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Ralf Jung <post@ralfj.de>
Build-Depends:
    debhelper (>= 9),
    pkg-kde-tools,
    cmake,
    pkg-config,
    liblightdm-qt-dev (>= 1.4),
    libx11-dev,
    kdelibs5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/playground/base/lightdm
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/lightdm-kde.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/lightdm-kde.git

Package: lightdm-kde-greeter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lightdm
Provides: lightdm-greeter
Description: LightDM KDE greeter
 A LightDM greeter using KDE libraries. This package also includes a KCM
 module to configure the greeter.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --parallel --with kde
